Subject: Re: bug#40538: installer: Support uvesafb to install on machines without KMS.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 14 Apr 2020 10:34:34 +0200

On Tue, Apr 14, 2020 at 10:16:52AM +0200, pelzflorian (Florian Pelz) wrote:
> 1) Make the loading of the uvesafb kernel module by the installer
> conditional.  For your GPU, don’t load uvesafb, if before it worked
> without.

P.S. I would suppose that a lot of cases and lspci parsing might be
needed to do that for various AMD GPUs and Intel GPUs.  Also the
Nvidia GPU in my Macbook requires nomodeset only if booted from
DVD. :/  But I think my Macbook GPU is semi-broken anyway; because
I see errors from nouveau, I generally use fbdev.  I also need an
older kernel for GDM to log in, even though GDM itself runs fine.

Regards,
Florian